# Uses of Class
org.apache.lucene.util.hnsw.MergingHnswGraphBuilder

Packages that use MergingHnswGraphBuilder
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of MergingHnswGraphBuilder in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return MergingHnswGraphBuilder
  Modifier and Type
  Method
  Description
  `static MergingHnswGraphBuilder`
  MergingHnswGraphBuilder.`fromGraphs(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, HnswGraph[] graphs, int[][] ordMaps, int totalNumberOfVectors, BitSet initializedNodes)`
  Create a new HnswGraphBuilder that is initialized with the provided HnswGraph.